<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/academy"
      th:with="category=${course.skill.category.toString().toLowerCase()},
                      skill=${course.skill.code.toString().toLowerCase()},
                      skillName=#{${'skill.' + course.skill.code.toString().toLowerCase()}}">
<head>
</head>
<body>
<div layout:fragment="overlay">
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <img class="logo" src="/images/logo-transparent-white.png"/>
                <p th:utext="#{academy.test.overlay.desc1}"></p>
                <p th:utext="#{academy.test.overlay.desc2}"></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <div class="progress">
                    <div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div layout:fragment="academy-container">
    <div class="row">
        <div class="col-md-12 test" id="academy">
            <th:block th:include="fragments/academy::menu(${course}, 'test')"/>

            <input type="file" id="file" style="display:none"/>

            <div class="row explanation image">
                <img width="100%"
                     th:src="${'/images/academy/test/Test - ID ' + course.test.explanationImageId + '.jpg'}"/>
            </div>

            <div class="row upload min5">
                <ul class="requirements pull-left"
                    th:utext="${T(tbt.app.common.util.I18nUtils).get(course.test.requirements)}">
                </ul>
                <a href="#execute" th:attr="course=${course.id}" class="button upload pull-right">
                    <span class="icon glyphicon glyphicon-cloud-upload" aria-hidden="true"></span>
                    <span class="text" th:text="#{academy.test.upload}"></span>
                </a>
            </div>

            <div class="explanation text">
                <div class="guidelines">
                    <h5 th:text="#{academy.test.explanation}"></h5>
                    <p th:utext="${T(tbt.app.common.util.I18nUtils).get(course.test.testExplanation)}"></p>
                </div>
                <div class="guidelines">
                    <p th:utext="${T(tbt.app.common.util.I18nUtils).get(course.test.videoExplanation)}"></p>
                </div>
                <div class="guidelines">
                    <h5 th:text="#{academy.test.score}"></h5>
                    <p th:utext="${T(tbt.app.common.util.I18nUtils).get(course.test.scoreCalculation)}"></p>
                </div>
            </div>

            <div class="row explanation video">
                <h5 th:text="#{academy.video.explanation}"></h5>
                <th:block
                        th:include="fragments/academy::video(
                        ${course.test.explanationVideoId},
                        ${T(tbt.app.common.util.I18nUtils).get(course.test.videoTitle)}, null)"/>

            </div>

            <div class="row upload full">
                <a href="#execute" th:attr="course=${course.id}" class="button upload">
                    <span class="icon glyphicon glyphicon-cloud-upload" aria-hidden="true"></span>
                    <span class="text" th:text="#{academy.test.upload}"></span>
                </a>
            </div>

        </div>
    </div>
</div>
</body>
</html>